opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
cv::Hamming Struct Reference

`#include <features2d.hpp>`

## Public Types
typedef int | ResultType
| important that this is signed as weird behavior happens
typedef unsigned char | ValueType

## Public Member Functions
ResultType | operator() (const unsigned char *a, const unsigned char *b, int size) const

## Detailed Description

Hamming distance functor, this one will try to use gcc's __builtin_popcountl but will fall back on HammingLUT if not available bit count of A exclusive XOR'ed with B

## Member Typedef Documentation

typedef int cv::Hamming::ResultType

important that this is signed as weird behavior happens

typedef unsigned char cv::Hamming::ValueType

## Member Function Documentation

ResultType cv::Hamming::operator() | ( | const unsigned char * | a,
|  | const unsigned char * | b,
|  | int | size
| ) |  | const

this will count the bits in a ^ b, using __builtin_popcountl try compiling with sse4

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp